DRM_ATOMIC_HELPER_PL(9)

NAME
drm_atomic_helper_plane_destroy_state - default state destroy hook

SYNOPSIS

void drm_atomic_helper_plane_destroy_state(struct drm_plane * plane, struct drm_plane_state * state);

ARGUMENTS

plane
    drm plane

state
    plane state object to release

DESCRIPTION

Default plane state destroy hook for drivers which don't have their own subclassed plane state structure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT